Draft From Conversation
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
suite_id*Suite Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/simulation-suites/497f6eca-6276-4993-bfeb-53cbbbba6f08/cases/from-conversation" \ -H "Content-Type: application/json" \ -d '{ "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407" }'{ "draft": { "name": "string", "persona": "string", "goal": "string", "opening_message": "string", "success_criterion": "string", "max_turns": 20, "tool_mocks": { "property1": [ { "when": {}, "result": null, "is_error": false } ], "property2": [ { "when": {}, "result": null, "is_error": false } ] }, "checks": [ { "type": "tool_called", "tool": "string", "args": {} } ] }, "origin_conversation_id": "4754211d-696b-46d6-8b2f-376fa5a2850c"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}